Index: sansview/perspectives/fitting/basepage.py
===================================================================
--- sansview/perspectives/fitting/basepage.py	(revision cdb042ddd66603fe9e532a19f31adf1f16f6f0e8)
+++ sansview/perspectives/fitting/basepage.py	(revision ce92ded08f5def092357f24725674d8c0eea8c5e)
@@ -478,5 +478,5 @@
         self.state.enable_disp= self.enable_disp.GetValue()
         self.state.disable_disp= self.disable_disp.GetValue()
-        #self.SetupScrolling()
+        self.SetupScrolling()
 
     
Index: sansview/perspectives/fitting/fitpage.py
===================================================================
--- sansview/perspectives/fitting/fitpage.py	(revision 4fa5f3bbead7f8f7482d26ec8f52dc14ad86fd68)
+++ sansview/perspectives/fitting/fitpage.py	(revision ce92ded08f5def092357f24725674d8c0eea8c5e)
@@ -659,5 +659,6 @@
                         self.sizer4_4.Add(text2,(iy, ix),(1,1),
                                           wx.EXPAND|wx.ADJUST_MINSIZE, 0)
-                        text2.Hide() 
+                        if not self.is_mac:
+                            text2.Hide() 
 
                         ix = 3
@@ -667,6 +668,6 @@
                         self.sizer4_4.Add(ctl2, (iy,ix),(1,1), 
                                           wx.EXPAND|wx.ADJUST_MINSIZE, 0)
-                     
-                        ctl2.Hide()
+                        if not self.is_mac:
+                            ctl2.Hide()
 
                         ix = 4
@@ -799,5 +800,6 @@
                         self.sizer4_4.Add(text2,(iy, ix),(1,1),
                                           wx.EXPAND|wx.ADJUST_MINSIZE, 0)
-                        text2.Hide() 
+                        if not self.is_mac:
+                            text2.Hide() 
 
                         ix = 3
@@ -807,5 +809,6 @@
                         self.sizer4_4.Add(ctl2, (iy,ix),(1,1), 
                                           wx.EXPAND|wx.ADJUST_MINSIZE, 0)
-                        ctl2.Hide()
+                        if not self.is_mac:
+                            ctl2.Hide()
                             
                         ix = 4
@@ -1101,5 +1104,5 @@
                     self.formfactorbox.SetValue(current_val)
             self._onDraw(event=None)
-        #self.SetupScrolling()
+        self.SetupScrolling()
     
       
@@ -1289,5 +1292,6 @@
         after fitting
         """
-        
+        if self.is_mac:
+            return
         if hasattr(self,"text2_3"):
             self.text2_3.Hide()
@@ -1801,11 +1805,11 @@
         
         #Hide error title
-        #if self.text2_3.IsShown():
-        #    self.text2_3.Hide()
+        if self.text2_3.IsShown() and not self.is_mac:
+            self.text2_3.Hide()
       
         try:
             if self.enable_disp.GetValue():
                 if hasattr(self,"text_disp_1" ):
-                    if self.text_disp_1 != None and self.text_disp_1.IsShown():
+                    if self.text_disp_1 != None and not self.is_mac:
                         self.text_disp_1.Hide()
         except:
@@ -1816,5 +1820,5 @@
             self.param_toFit[0][2].SetValue(format_number(out, True))
             
-            if self.param_toFit[0][4].IsShown:
+            if self.param_toFit[0][4].IsShown and not self.is_mac:
                 self.param_toFit[0][4].Hide()
             if cov !=None :
@@ -1829,5 +1833,5 @@
 
                 if cov[0]==None or  not numpy.isfinite(cov[0]): 
-                    if self.param_toFit[0][3].IsShown:
+                    if self.param_toFit[0][3].IsShown and not self.is_mac:
                         self.param_toFit[0][3].Hide()
                 else:                    
@@ -1840,18 +1844,17 @@
             i = 0
             #Set the panel when fit result are list
-            for idx in range(len(self.param_toFit)):     
-                if len(self.param_toFit[idx])>5 and self.param_toFit[idx] != None:     
+            for item in self.param_toFit:     
+                if len(item)>5 and item != None  and not self.is_mac:     
                     ## reset error value to initial state
-                    self.param_toFit[idx][3].Hide()
-                    self.param_toFit[idx][4].Hide()
+                    item[3].Hide()
+                    item[4].Hide()
                     
                     for ind in range(len(out)):
                         
-                        if self.param_toFit[idx][1] == p_name[ind]:
+                        if item[1] == p_name[ind]:
                             break        
                     if len(out)<=len(self.param_toFit) and out[ind] !=None:   
-                        val_out = format_number(out[ind], True) 
-                        if numpy.isfinite(val_out):                 
-                            self.param_toFit[idx][2].SetValue(val_out)
+                        val_out = format_number(out[ind], True)                  
+                        item[2].SetValue(val_out)
 
 
@@ -1863,5 +1866,6 @@
                                     if hasattr(self,"text_disp_1" ):
                                         if self.text_disp_1!=None:
-                                            if not self.text_disp_1.IsShown():
+                                            if not self.text_disp_1.IsShown()\
+                                                and not self.is_mac:
                                                 self.text_disp_1.Show(True)
                         except:
@@ -1871,7 +1875,8 @@
                             if numpy.isfinite(float(cov[ind])):
                                 val_err = format_number(cov[ind], True)
-                                self.param_toFit[idx][3].Show(True)
-                                self.param_toFit[idx][4].SetValue(val_err)
-                                self.param_toFit[idx][4].Show(True)
+                                if not self.is_mac:
+                                    item[3].Show(True)
+                                    item[4].Show(True)
+                                item[4].SetValue(val_err)
 
                                 has_error = True
@@ -1886,6 +1891,4 @@
         
         #self._lay_out() 
-        self.sizer3.Layout()
-        self.sizer4_4.Layout()
         self.Layout() 
         self.Refresh() 
@@ -2480,5 +2483,5 @@
         if model ==None:
             self.sizer3.Layout()
-            #self.SetupScrolling()
+            self.SetupScrolling()
             return
         ## the panel is drawn using the current value of the fit engine
@@ -2642,10 +2645,12 @@
                     sizer.Add(text2,(iy, ix),(1,1),\
                                     wx.EXPAND|wx.ADJUST_MINSIZE, 0) 
-                    text2.Hide() 
+                    if not self.is_mac:
+                        text2.Hide() 
                     ix += 1
                     ctl2 = wx.TextCtrl(self, -1, size=(_BOX_WIDTH/1.2,20), style=0)
                     sizer.Add(ctl2, (iy,ix),(1,1), 
                               wx.EXPAND|wx.ADJUST_MINSIZE, 0)
-                    ctl2.Hide()
+                    if not self.is_mac:
+                        ctl2.Hide()
                     
                     ix += 1
@@ -2744,10 +2749,12 @@
                     sizer.Add(text2,(iy, ix),(1,1),\
                                     wx.EXPAND|wx.ADJUST_MINSIZE, 0) 
-                    text2.Hide() 
+                    if not self.is_mac:
+                        text2.Hide() 
                     ix += 1
                     ctl2 = wx.TextCtrl(self, -1, size=(_BOX_WIDTH/1.2,20), style=0)
                     sizer.Add(ctl2, (iy,ix),(1,1), 
                               wx.EXPAND|wx.ADJUST_MINSIZE, 0)
-                    ctl2.Hide()
+                    if not self.is_mac:
+                        ctl2.Hide()
                     
                     
